Subject: Re: [Teas] Approved Liaison Statement from ETSI ISG NFV to IETF TEAS

From: Daniele Ceccarelli <[email-masked]>
Date: Mon, 13 Jan 2020 11:47:15 +0000

Dear all,

The IETF TEAS and CCAMP working groups would like to thank the ETSI ISG NFV for notifying the start of the work on multi-site connectivity services. We acknowledge the commonalities between the WIM infrastructure manager interfaces and the ACTN ones, in particular the CMI (CNC-MDSC) interface. Our understanding is that the scope of the WIM interfaces is not limited to the management of the underlay Traffic Engineered infrastructure but also the connectivity services that can be built on top of that, like e.g. L3VPNs and L2VPNs.

The relevant documents specifying YANG models (and related status) for the connectivity services are:

*	L3SM – A service model for L3VPN services – RFC 8299
*	L2SM – A service model for L2VPN service – RFC 8466
*	L1CSM -  <https://datatracker.ietf.org/doc/draft-ietf-ccamp-l1csm-yang/> https://datatracker.ietf.org/doc/draft-ietf-ccamp-l1csm-yang/  stable working group document already reviewed by YANG doctors.
*	L3NM –  <https://datatracker.ietf.org/doc/draft-ietf-opsawg-l3sm-l3nm/> https://datatracker.ietf.org/doc/draft-ietf-opsawg-l3sm-l3nm/  stable working group document

On the other side ACTN provides guidelines for the implementation of interfaces for the management of traffic engineered underlay infrastructure (https://datatracker.ietf.org/doc/draft-ietf-teas-actn-yang/). A wide variety of YANG models can be used to implement various features (e.g. calendaring, telemetry) but a minimal set of mandatory models to operate the network is identified:

*	TE topology:  <https://datatracker.ietf.org/doc/draft-ietf-teas-yang-te-topo/> https://datatracker.ietf.org/doc/draft-ietf-teas-yang-te-topo/ – approved by the IESG and in the editor queue
*	ACTN virtual network:  <https://datatracker.ietf.org/doc/draft-ietf-teas-actn-vn-yang/> https://datatracker.ietf.org/doc/draft-ietf-teas-actn-vn-yang/ – stable working group document
*	TE tunnel:  <https://datatracker.ietf.org/doc/draft-ietf-teas-yang-te/> https://datatracker.ietf.org/doc/draft-ietf-teas-yang-te/ – stable working group document

Extensions to these models are defined in the CCAMP working group to provide technology specific extensions. TE Topology and TE tunnels augmentations are being defined for WSON (Wavelength Switched Optical Networks), flexi-grid WSON, OTN (digital layer of the Optical Transport Network).

In the eventuality in which the ETSI NFV ISG identifies additional requirements that are not currently addressed in the ACTN framework (RFC8453) and models, they can be proposed as individual contributions either in the TEAS working group (if technology agnostic) or in the CCAMP working group (if technology specific) and follow the IETF process. 

Best Regards,

Lou Berger & Vishnu Pavan Beeram (TEAS chairs)

Daniele Ceccarelli & Fatai Zhang (CCAMP chairs)

From: ETSI NFVsupport <[email-masked]> 
Sent: den 27 september 2019 08:43
To: [email-masked]; [email-masked]; [email-masked]; Daniele Ceccarelli <[email-masked]>; Fatai Zhang <[email-masked]>
Cc: Deborah Brungard <[email-masked]>; Martin Vigoureux <[email-masked]>; Alvaro Retana <[email-masked]>; [email-masked]; ETSI NFVsupport <[email-masked]>; Cristina Badulescu <[email-masked]>; 'Joan Triay_Internet' <[email-masked]>; Zarrar Yousaf <[email-masked]>; Diego Lopez <[email-masked]>
Subject: Approved Liaison Statement from ETSI ISG NFV to IETF TEAS

Dear All,

Please find attached an approved Liaison Statement from ETSI ISG NFV to the IETF TEAS.

Should you require any further information please do not hesitate to contact the ETSI NFV Technical Manager Joan Triay, the NFV Chairman Diego Lopez or  <mailto:[email-masked]> [email-masked]

best regards

Louise Clarke  – Standardisation Support Professional CSC

ETSI ●  <https://protect2.fireeye.com/url?k=e990270f-b5442cb1-e9906794-86742d02e7e2-19b4b97f78a9ce38&q=1&u=http%3A%2F%2Fwww.etsi.org%2Fnfv> www.etsi.org/nfv ●  <mailto:[email-masked]%0d> [email-masked]

Phone: +33 (0)4 92 94 49 12 ● Mobile: +33 (0)6 67 33 34 92

This email may contain confidential information and is intended for the use of the addressee only. Any unauthorized use may be unlawful. If you receive this email by mistake, please advise the sender immediately by using the reply facility in your email software. Thank you for your co-operation.